;
; Need ctrl-z keymap
;
(setq tmp (lookup-key global-map "\C-z"))
(if (not (keymapp tmp))
    (progn
      (setq ctl-z-map (make-sparse-keymap))
      (define-key global-map "\C-z" ctl-z-map)
      (define-key ctl-z-map "\C-z" tmp)

;      (global-set-key "" 'redraw-display)

      (define-key ctl-x-map "\C-l" 'recenter)

      (define-key ctl-x-map "#" 'goto-line)
      (define-key ctl-x-map "V" 'shrink-window)
      (define-key ctl-x-map "p" 'other-window-backward)
      (define-key ctl-x-map "c" 'compile)

      (define-key ctl-x-map "\C-c" 'kill-emacs-yesno)
      (define-key ctl-x-map "\C-b" 'electric-buffer-list)
      (define-key ctl-x-map "\C-k" 'electric-command-history)

      (define-key ctl-z-map "b" 'bury-buffer)
      (define-key ctl-z-map "d" 'gdbsrc)
      (define-key ctl-z-map "g" 'grep)
      (define-key ctl-z-map "l" 'what-line)
      (define-key ctl-z-map "m" 'man)
      (define-key ctl-z-map "p" 'picture-mode)
      (define-key ctl-z-map "r" 'revert-buffer)
      (define-key ctl-z-map "t" 'transpose-lines)
      (define-key ctl-z-map "v" 'visit-tags-table)
      (define-key ctl-z-map "%" 'replace-string)
      
      (define-key ctl-z-map "\C-r" 'recover-file)
      (define-key ctl-z-map "\C-e" 'eval-current-buffer)
      (define-key ctl-z-map "\C-f" 'view-file)
      (define-key ctl-z-map "\C-w" 'buffer-make-writable)
      (define-key ctl-z-map "\C-q" 'fill-region-as-paragraph)

      (define-key ctl-z-map "k" 'kill-rectangle)
      (define-key ctl-z-map "y" 'yank-rectangle)


      (setq tmp (lookup-key ctl-x-map "\C-n"))
      (define-key ctl-z-map "\C-n" tmp)
      (define-key ctl-x-map "\C-n" 'next-error)

      (define-key ctl-z-map "\C-i" 'indent-region)

      (define-key query-replace-map "a" 'automatic)
))
  
;;;; 

(provide 'my-bindings)
