(defun other-window-backward()
  (interactive)
  (other-window -1))

(defun kill-emacs-yesno ()
  (interactive)
  (and (y-or-n-p "Kill emacs ")
       (save-buffers-kill-emacs)))

(defun buffer-make-writable () (interactive)
  (shell-command (concat "chmod u+w "
			 (buffer-file-name)))
  (if buffer-read-only
      (toggle-read-only)))

(defun kill-buffer-yesno-delete-frame ()
  (progn
    (and (y-or-n-p "Deleting frame. Do you want to kill the current buffer ")
	 (kill-buffer nil))
    (delete-frame)))

(defun set-frame-name (name)
  (interactive "sFrame name: ")
  (modify-frame-parameters (current-frame) (list (cons 'name name))))

(provide 'my-functions)